#include "audio.h"
#include "audio_internal.h"

AudioPipelineStatus sink_nop(AudioPipelineElement *self) {
    return PipelineStopped;
}

AudioPipelineStatus source_start_nop(AudioPipelineElement *self) {
    return self->next->start(self->next);
}

AudioPipelineStatus source_reset_nop(AudioPipelineElement *self) {
    return self->next->reset(self->next);
}

AudioPipelineStatus source_stop_nop(AudioPipelineElement *self) {
    return self->next->stop(self->next);
}

AudioPipelineStatus source_nop(AudioPipelineElement *self) {
    return PipelineStopped;
}

AudioPipelineStatus filter_start_nop(AudioPipelineElement *self) {
    return self->next->start(self->next);
}

AudioPipelineStatus filter_reset_nop(AudioPipelineElement *self) {
    return self->next->reset(self->next);
}

AudioPipelineStatus filter_stop_nop(AudioPipelineElement *self) {
    return self->next->stop(self->next);
}
