#ifndef AUDIOPIPELINE_AUDIO_SINK_LIBAO_H__INCLUDED
#define AUDIOPIPELINE_AUDIO_SINK_LIBAO_H__INCLUDED

#include "audio.h"

/**
 * Create a libao audio sink, will use the default output (usually the soundcard)
 *
 * @returns Initialized `AudioPipelineElement` that can be used in call to `audio_pipeline_assemble`
 */
AudioPipelineElement *audio_sink_libao(void);

#endif /* AUDIOPIPELINE_AUDIO_SINK_LIBAO_H__INCLUDED */
